#combat-tracker {
	.lil-combatant-tooltip {
		//display: none;
		opacity: 0;
		transition: opacity 0.15s ease;

		pointer-events: none;

		position: fixed;
		z-index: calc(var(--z-index-app) + 5);

		top: calc(var(--top) * 1px);

		line-height: 1.2;
		padding: 0.2em 0.5em;

		max-width: 32em;

		color: #e9e3df;
		font-size: var(--font-size-14, 10pt);

		background-color: #41434e;
		box-shadow: 0 0 15px #464343;
		border: 2px solid #ffc52f;

		&.left-aligned {
			left: calc(calc(var(--left) - 12 - var(--width)) * 1px);
			border-top-left-radius: 0.5em;
			border-bottom-right-radius: 0.5em;
		}

		&.right-aligned {
			border-top-right-radius: 0.5em;
			border-bottom-left-radius: 0.5em;
		}

		text-shadow: none;

		display: flex;
		flex-direction: column;
		gap: 3px;

		.grid-4 {
			display: grid;
			grid-template-columns: min-content 1fr min-content 1fr;
			grid-template-rows: min-content;

			gap: 3px;
			column-gap: 0.5rem;

			> div {
				display: contents;
				white-space: nowrap;
			}
		}

		label,
		span {
			width: min-content;
			white-space: nowrap;
		}

		.simple-value {
			grid-column: span 3;
			width: min-content;
		}

		.label:after {
			content: ': ';
			color: #e9e3df;
		}

		.value {
			color: gold;

			&.imprecise {
				color: goldenrod;
			}

			&.percentage {
				color: burlywood;
			}

			&.text {
				color: khaki;
			}

			&.health.effective,
			&.cmd.normal,
			&.armor.normal:not(.flat-footed) {
				font-weight: bold;
			}
		}

		.span-3 {
			grid-column: span 3;
		}

		.span-all {
			grid-column: span 4;
		}

		.active-effects {
			margin: 0;
			padding: 0;
			list-style: none;

			display: flex;
			flex-direction: column;
			gap: 3px;

			.header {
				margin: 0;
				padding: 0;
				border-bottom: 1px solid goldenrod;
			}
		}
	}

	.has-little-helper-tooltip:hover .lil-combatant-tooltip {
		opacity: 1;
	}
}

// for v10 popped out combat tracker messing position:fixed
#combat-popout #combat-tracker {
	.lil-combatant-tooltip {
		&.left-aligned {
			left: calc(calc(-10 - var(--width)) * 1px);
		}

		&.right-aligned {
			left: calc(calc(8 + var(--right)) * 1px);
		}
	}
}
